<template>
    <div>
        <custom-card>
            <auto-datatable
                ref="dt"
                model="DailyReport"
                :hidden-filters="[
                    {name: 'f-plan_type', value: 'assured'}
                ]"
                :filters="[
                    {
                        label: $t('date'),
                        name: 'f-like-report_date',
                        type: 'date'
                    }
                ]"
                :headers="[
                    {label: '#', name: 'id'},
                    {label: $t('date'), name: 'report_date', column: 'report_date'},
                    {label: $t('in_fund'), name: 'in_fund'},
                    {label: $t('out_fund'), name: 'out_fund'},
                    {label: $t('generated_fund'), name: 'generated_fund'},
                    {label: $t('current_fund_size'), name: 'current_fund_size'},
                    {label: $t('total_investor_capital'), name: 'total_investor_capital'},
                    {label: $t('declared_fund_size'), name: 'declared_fund_size'},
                    {label: $t('profit_loss'), name: 'profit_loss'},
                    {label: $t('payable_allocation'), name: 'payable_allocation'},
                    {label: $t('actual_payable'), name: 'actual_payable'},
                    {label: $t('accumulate_allocation_balance'), name: 'accumulate_allocation_balance'},
                    {label: $t('created_at'), name: 'created_at'},
                ]"
            >
                <template #default="{records}">
                    <tr
                        v-for="(record, i) in records"
                        :key="i"
                    >
                        <td>{{ i+1 }}</td>
                        <td>{{ $helper.dateFormat(record.report_date) }}</td>
                        <td>{{ $helper.fundFormat(record.in_fund) }}</td>
                        <td>{{ $helper.fundFormat(record.out_fund) }}</td>
                        <td>{{ $helper.fundFormat(record.generated_fund) }}</td>
                        <td>{{ $helper.fundFormat(record.current_fund_size) }}</td>
                        <td>{{ $helper.fundFormat(record.total_investor_capital) }}</td>
                        <td>{{ $helper.fundFormat(record.declared_fund_size) }}</td>
                        <td>{{ $helper.fundFormat(record.profit_loss) }}</td>
                        <td>{{ $helper.fundFormat(record.payable_allocation) }}</td>
                        <td>{{ $helper.fundFormat(record.actual_payable) }}</td>
                        <td>{{ $helper.fundFormat(record.accumulate_allocation_balance) }}</td>
                        <td>{{ $helper.dateTimeFormat(record.created_at) }}</td>
                    </tr>
                </template>
            </auto-datatable>
        </custom-card>
    </div>
</template>
<script setup>
import CustomCard from "~/components/custom-card.vue";
import AutoDatatable from "~/components/auto-datatable.vue";
import {inject, ref} from "vue";

const $helper = inject('$helper');
const model = ref(null);
const dt = ref();
const updateRow = async () => {
    model.value = null;

    await dt.value.loadData();
};
</script>
